## mingw-w64-cusp-0.5.1-2.src.tar.zst

=== testing/SConstruct ===
import os
import inspect

# try to import an environment first
try:
  Import('env')
except:
  exec open("../build/build-env.py")
  env = Environment()

# on mac we have to tell the linker to link against the C++ library
if env['PLATFORM'] == "darwin":
  env.Append(LINKFLAGS = "-lstdc++")

# on windows we have to do /bigobj
if env['PLATFORM'] == "win32" or env['PLATFORM'] == "win64":
  env.Append(CPPFLAGS = "/bigobj")

# assemble the name of this configuration's targets directory
targets = 'device_{0}_{1}'.format(env['backend'], env['mode'])

# invoke trivial_tests SConscript
SConscript('SConscript', exports='env', variant_dir=targets, duplicate=False)
Clean('.', targets)

=== performance/blas/SConstruct ===
import os
import inspect
import glob

# try to import an environment first
try:
  Import('env')
except:
  exec open("../../build/build-env.py")
  env = Environment()

# find all .cus & .cpps in the current directory
sources = []
directories = ['.']
extensions = ['*.cu', '*.cpp']
for dir in directories:
  for ext in extensions:
    regexp = os.path.join(dir, ext)
    #sources.extend(env.Glob(regexp, strings = True))
    sources.extend(glob.glob(regexp))

# compile examples
for src in sources:
  env.Program(src)

=== performance/eigen/SConstruct ===
import os
import inspect
import glob

# try to import an environment first
try:
  Import('env')
except:
  exec open("../../build/build-env.py")
  env = Environment()

env.Append(CPPPATH = [os.environ["HOME"] + "/.local/include"])
env.Append(LIBPATH = [os.environ["HOME"] + "/.local/lib"])
env.Append(LIBS = ["-lopenblas"])

# on mac we have to tell the linker to link against the C++ library
if env['PLATFORM'] == "darwin":
  env.Append(LINKFLAGS = "-lstdc++")

# find all .cus & .cpps in the current directory
sources = []
directories = ['.']
extensions = ['*.cu', '*.cpp']
for dir in directories:
  for ext in extensions:
    regexp = os.path.join(dir, ext)
    #sources.extend(env.Glob(regexp, strings = True))
    sources.extend(glob.glob(regexp))

# compile examples
for src in sources:
  env.Program(src)

=== PKGBUILD ===
# Maintainer: Benjamin Chretien <chretien@lirmm.fr>
# Contributor: Rafal Brzegowy <rafal.brzegowy@yahoo.com>

_realname=cusp
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.5.1
pkgrel=2
pkgdesc="A C++ Templated Sparse Matrix Library (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64' 'clang32')
url='https://cusplibrary.github.io/'
license=('Apache')
makedepends=()
#depends=('cuda')

_dir="cusplibrary-${pkgver}"
source=("https://github.com/cusplibrary/cusplibrary/archive/v${pkgver}.tar.gz")
sha256sums=('ea283132caae7a62c96dedb40d0fcff25d3067191411987db9c2d780286a2108')

package() {
  cd "${srcdir}/${_dir}"

  # Install headers
  install -d "${pkgdir}${MINGW_PREFIX}/include/cusp"
  cp -r "cusp" "${pkgdir}${MINGW_PREFIX}/include"
  install -Dm644 ${srcdir}/${_realname}library-${pkgver}/LICENSE ${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}
